#include "lib.h"

int c_multiply(lua_State* L)
{
    double a = luaL_checknumber(L, 1);
    double b = luaL_checknumber(L, 2);
    lua_pushnumber(L, a * b);
    return 1;
}

// 注册 C 函数
int luaopen_mylib(lua_State* L)
{
    lua_register(L, "c_multiply", c_multiply);   // 注册为全局函数
    return 0;
}